# Uses of Class
org.eclipse.birt.report.model.api.elements.table.LayoutTable

Packages that use LayoutTable
Package
Description
org.eclipse.birt.report.model.api.elements.table

## Uses of LayoutTable in org.eclipse.birt.report.model.api.elements.table

Fields in org.eclipse.birt.report.model.api.elements.table declared as LayoutTable
Modifier and Type
Field
Description
`protected LayoutTable`
LayoutSlot.`tableContainer`
The table in which the slot resides.
Methods in org.eclipse.birt.report.model.api.elements.table that return LayoutTable
Modifier and Type
Method
Description
`static LayoutTable`
LayoutHelper.`applyLayout(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.elements.TableItem table)`
Resolves the layout for the given table element.
Methods in org.eclipse.birt.report.model.api.elements.table with parameters of type LayoutTable
Modifier and Type
Method
Description
`static void`
BasicLayoutStrategies.`appliesStrategies(LayoutTable layoutTable, boolean fillsEmptyCells)`
Applies different strategies to the layout table and table element with the given options.
`protected static List`
LayoutUtil.`getFlattenedLayoutSlots(LayoutTable table)`
Returns flattern slots of the layout table regardless GROUP/Table slots.
`protected static int`
LayoutUtil.`getRowCount(LayoutTable table)`
Calculates the row number in the table.
Constructors in org.eclipse.birt.report.model.api.elements.table with parameters of type LayoutTable
Modifier
Constructor
Description
``
`FillCellsStrategy(LayoutTable layoutTable, boolean fillsEmptyCells)`
Constructs a `DropStrategy` with the given table.
`protected`
`LayoutGroup(LayoutTable table, int groupLevel)`
Constructs a `LayoutGroup` with the given table and the group level.
`protected`
`LayoutSlot(LayoutTable table, int colBufferSize)`
Constructs a `Slot` with the given column number.
`protected`
`LayoutSlot(LayoutTable table, int groupId, int colBufferSize)`
Constructs a `Slot` with the given column number and the group level.